Ubuntu

/usr/lib/gvfs/gvfs-afc-volume-monitor kills polar bears

Reported by Steve Langasek on 2010-10-06
92
This bug affects 16 people
Affects Status Importance Assigned to Milestone
The Ubuntu Power Consumption Project
Undecided
Unassigned
usbmuxd (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Quantal
Low
Unassigned
Raring
Low
Unassigned

Bug Description

* Impact:
On an idle system, powertop shows gvfs-afc-volume-monitor waking up once per second.

* Test case:
run powertop and look at the number of wakeups due to gvfs-afc-volume-monitor

* Regression potential:
check that afc devices (ipod, ipad) are still correctly detected with the update

--------------

Binary package hint: gvfs

On an idle system, powertop shows gvfs-afc-volume-monitor waking up once per second. To do what, I cannot say; gvfs-afc-volume-monitor appears to be a monitor for iPods and iPads, neither of which have I ever had connected to ths machine. This constantly polling daemon looks to me like a failure to understand and integrate with udev. Please think of the polar bears, and get rid of this pointless daemon.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: gvfs-backends 1.6.4-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic x86_64
Architecture: amd64
Date: Wed Oct 6 13:53:41 2010
InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release amd64 (20100816.1)
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.utf8
 SHELL=/bin/bash
SourcePackage: gvfs

Steve Langasek (vorlon) wrote :
Cristian KLEIN (cristiklein) wrote :

The problem can be more precisely trace to libusbmuxd.

To connect to i* devices, gvfs-afc-volume-monitor uses libusbmuxd which talks to the usbmuxd daemon. The latter is normally not present in a system and is automatically launched by udev, when an i* device is connect. gvfs-afc-volume-monitor has no way of knowing when the usbmuxd daemon is launched, so it tries to connect to it every second (see libusbmuxd.c line 151).

I have no idea how this bug could be easily fixed.

affects: gvfs (Ubuntu) → usbmuxd (Ubuntu)
Changed in usbmuxd (Ubuntu):
status: New → Confirmed
Steve Langasek (vorlon) wrote :

Thanks for finding the culprit! Since this hasn't been committed to an Ubuntu package branch yet, marking this as 'triaged'.

Changed in usbmuxd (Ubuntu):
status: Fix Committed → Triaged
Ahmad Syukri Abdollah (syockit) wrote :

The latest version 1.0.7-1 has all the commits as mentioned per comment #3. Yet, I came across this bug again not long ago, which subsided only after a reboot. I've yet to figure out how to reproduce the bug.

Chrescht (sekateur) wrote :

I'm having this issue in one lucid machine after plugging in an iphone..but not every time which is strange.
Installed version of usbmuxd is 1.0.2 so I don't think it will work any-time soon.

Alik (kilaka) wrote :

Happens on 11.10 as well.
Takes 100% cpu.

See related askubuntu question: http://askubuntu.com/questions/21039/gvfs-afc-volume-monitor-uses-a-lot-of-cpu

Colin King (colin-king) wrote :

And on 12.10 - can we get this fixed?

Colin King (colin-king) wrote :

I measured this with perf, typically this is wasting ~65K CPU cycles per second.

papukaija (papukaija) on 2012-10-22
tags: added: lucid oneiric precise quantal
removed: maverick
tags: added: i386
tags: added: battery-power-consumption
Dimitri John Ledkov (xnox) wrote :

After patching usbmuxd to actually build with inotify support i no longer see gvfs-afc-volume-monitor wakups using powertop in raring. The patch should be easy enough to SRU into quantal & precise. Is that wanted/needed?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package usbmuxd - 1.0.8-1ubuntu1

---------------
usbmuxd (1.0.8-1ubuntu1) raring; urgency=low

  * Correctly find inotify.h to build with inotify support (LP: #656009).
 -- Dmitrijs Ledkovs <email address hidden> Wed, 30 Jan 2013 14:26:52 +0000

Changed in usbmuxd (Ubuntu Raring):
status: Triaged → Fix Released
Whoopie (whoopie79) wrote :

Just tested in precise and inotify support is built in with the find-inotify-multiarch.path.

Please find attached the debdiff.

Whoopie (whoopie79) wrote :
Whoopie (whoopie79) wrote :
Sebastien Bacher (seb128) wrote :

@Whoopie: Thanks for the work, the quantal debdiff include-binaries's changes seems like an error, I've filtered them out and sponsored both updates

Changed in usbmuxd (Ubuntu Quantal):
status: New → Fix Committed
Changed in usbmuxd (Ubuntu Precise):
status: New → Fix Committed
Changed in usbmuxd (Ubuntu Quantal):
importance: Undecided → Low
Changed in usbmuxd (Ubuntu Precise):
importance: Undecided → Low
Changed in usbmuxd (Ubuntu Raring):
importance: Undecided → Low
description: updated
Whoopie (whoopie79) on 2013-02-15
Changed in ubuntu-power-consumption:
status: New → Fix Released

Hello Steve, or anyone else affected,

Accepted usbmuxd into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/usbmuxd/1.0.7-2ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Colin Watson (cjwatson) wrote :

Hello Steve, or anyone else affected,

Accepted usbmuxd into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/usbmuxd/1.0.8-1ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Whoopie (whoopie79) wrote :

Works fine here. And buildlog also shows that inotify support is enabled: "libusbmuxd will be built with inotify support."

Brian Murray (brian-murray) wrote :

Whoopie on which release does it work fine?

Whoopie (whoopie79) wrote :

@Brian: I tested on precise, but the buildlog for both precise and quantal look fine.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package usbmuxd - 1.0.8-1ubuntu0.1

---------------
usbmuxd (1.0.8-1ubuntu0.1) quantal-proposed; urgency=low

  * Correctly find inotify.h to build with inotify support (LP: #656009).
 -- Whoopie <email address hidden> Tue, 05 Feb 2013 08:56:59 +0100

Changed in usbmuxd (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package usbmuxd - 1.0.7-2ubuntu0.1

---------------
usbmuxd (1.0.7-2ubuntu0.1) precise-proposed; urgency=low

  * Correctly find inotify.h to build with inotify support (LP: #656009).
 -- Whoopie <email address hidden> Mon, 04 Feb 2013 09:53:28 +0100

Changed in usbmuxd (Ubuntu Precise):
status: Fix Committed → Fix Released
roachkv (roachkv) wrote :

I continue to have the above mentioned issue.

I'm running precise and have version 1.0.7-2ubuntu0.1 of usbmuxd installed.

I also have this problem on usbmuxd (1.0.7-2ubuntu0.1)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers